Bug 1288 - Невозможно ввести русский текст
: Невозможно ввести русский текст
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lyx)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-09-19 23:37 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-09-19 23:37:34
При попытке набрать русский текст вводятся русские буквы, но совсем не те,
которые следует. Такое впечатление, что клавиатура воспринимается как koi,
когда установлена локаль 1251
---

---
lyx-1.2.0-alt1 от 6 августа. Система: Master+Sisyphus от конца августа. Локаль
1251
------- Comment #1 From 2002-10-09 09:46:39 -------
В lyx-1.2.0-alt1.1 ситуация не изменилась
------- Comment #2 From 2002-10-09 09:46:39 -------
В lyx-1.2.0-alt1.1 ситуация не изменилась
------- Comment #3 From 2002-10-28 01:27:14 -------
Проверьте пожалуйста на lyx-1.2.1-alt1
и заодно сообщите русский ли интерфейс у программы
------- Comment #4 From 2002-10-28 01:27:14 -------
Проверьте пожалуйста на lyx-1.2.1-alt1
и заодно сообщите русский ли интерфейс у программы
------- Comment #5 From 2002-10-28 23:48:04 -------
Сообщаю. Интерфейс английский. Более того, если в 1.2.0 текст отображался
всё-таки русскими буквами, то теперь выводится шрифтом в латинской кодировке
(вместо русских --- спецсимволы и буквы с диактрикой). Установка языка текста в
меню Document на ситуацию не влияет. Каталог .lyx перед запуском стирал
полностью.
------- Comment #6 From 2002-10-28 23:48:04 -------
Сообщаю. Интерфейс английский. Более того, если в 1.2.0 текст отображался
всё-таки русскими буквами, то теперь выводится шрифтом в латинской кодировке
(вместо русских --- спецсимволы и буквы с диактрикой). Установка языка текста в
меню Document на ситуацию не влияет. Каталог .lyx перед запуском стирал
полностью.
------- Comment #7 From 2002-11-05 13:09:26 -------
Пожалуйста проверьте в новой сборке -alt2.
Если ошибки больше нет, закройте (Close) баг.
------- Comment #8 From 2002-11-05 13:09:26 -------
Пожалуйста проверьте в новой сборке -alt2.
Если ошибки больше нет, закройте (Close) баг.
------- Comment #9 From 2002-11-11 13:51:01 -------
сделайте этот баг resolved, чтобы я мог его закрыть
------- Comment #10 From 2002-11-11 13:51:01 -------
сделайте этот баг resolved, чтобы я мог его закрыть
------- Comment #11 From 2002-11-11 23:01:35 -------
решено наложением временного патча с использованием iconv
------- Comment #12 From 2002-11-11 23:01:35 -------
решено наложением временного патча с использованием iconv
------- Comment #13 From 2002-11-26 00:52:42 -------
исправлено
------- Comment #14 From 2002-11-26 00:52:42 -------
исправлено